# README
OPTIMA-35 stands for Organizing, Processing, Tweaking Images, and Modifying Analogs (35mm film scans).

This project is a soft port of my previous [Bash script collection](https://gitlab.com/sf-bashscripts/analogphotography/-/tree/main), designed to process images (specifically 35mm film scans). It includes functionalities such as renaming, EXIF metadata editing, color adjustment, and more.

By transitioning to Python, I aim to transform the script collection into a more cohesive program with enhanced functionality and structure. Additionally, this project serves as a means to strengthen my coding skills and explore Python’s capabilities.
# Dependencies
- textual
- Wand
- PyExifTool
    - exiftool (v12.15)

Textual will be used for TUI, PyExifTool is used to acces exiftool while Wand is used as replacment for ImageMagick.

Python packages can be installed with pip, exiftool has to be installed depending on your OS.

# Use of LLMs
In the interest of transparency, I disclose that Generative AI (GAI) large language models (LLMs), including OpenAI’s ChatGPT and Ollama models (e.g., OpenCoder), have been used to assist in this project.

## Areas of Assistance:
- Project discussions and planning
- Spelling and grammar corrections
- Suggestions for suitable packages and libraries
- Guidance on code structure and organization

In cases where LLMs contribute directly to code or provide substantial optimizations, such contributions will be disclosed and documented in the relevant sections of the codebase.
